Haussteuerung erneuern

Einige Tage vor Weihnachten 2017 entschied ich mich für die Haussteuerungssoftware IP-Symcon mal wieder eine “Subskription” für ein Jahr zu kaufen.
Mit dieser Software die ich seit dem Jahr 2005 im Einsatz habe, steuere ich zu Hause die gesamt Heizung, wie aber auch z.B. den “Viehhüter” der durch die Nacht Strom auf den “Zwickdraht” um den ganzen Hühnerhof gibt, um Fuchs und Marder vor dem Eindringen abzuhalten.
Die letzte “Subskription” die ich gekauft hatte lief soviel ich weiss im Jahr 2011 aus. Seit damals hat sich einiges getan, und ich erhoffte mir z.B. bei der Einbindung der UniFi Geräte einen Vorteil gegüber wenn ich alles in PHP integrieren müsste.

Daher sicherte ich in Vorfreude meine “alte” IP-Symcon Version 2.6, um danach das Updaten zu starten.
Beim ersten Aufruf wurde von meiner V2.6 auf die Version 3.4 geupdated, damit lief die Software auch ohne Probleme auf meinem Server 2008 Standart. Da ich allerdings wusste das gerade die neueste Version 4.4 erschienen war, erstellte ich von der V3.4 erst wieder ein Backup. Danach startete ich das Updaten ein weiteres mal, worauf die Software heruntergeladen wurde. Als danach die Installation begann, erhielt ich ein Fenster angezeigt, welches mich darauf aufmerksam machte das die Version 4.4 auf meinem verwendeten Betriebssystem nicht lauffähig sei :-(

Erst mal grosse Entäuschung !
Wie nun weiter ?
Nachdem ich herausgefunden hatte das die Version 4.2 noch auf “meinem” verwendeten Betriebssystem laufen würde, entschloss ich mich im IP-Symcon Forum einen Beitrag zu schreiben.
Leider ist es mit dem Update-Tool von IP-Symcon nicht möglich an die Version 4.2 zu kommen, wenn man in der Zeit als diese Version aktuell war, keine “Subskription” hatte :-(

Wie nun weiter ?
So intsallierte ich die neueste Version erstmal auf meinem Arbeits-Laptop welcher mit Windows 7 64bit bestückt ist. So konnte ich neue Module wie z.B. das UniFi-Modul für unsere Netzwerkgeräte erst mal testen. Diese Test’s verliefen positiv, sodass ich mich daran machte, nach und nach alle Geräte, sowie die zugehörigen PHP-Codes, in die Version 4.4 zu integrieren.
Damit hatte ich die Chance alte “Programmierleichen” zu beseitigen. Was mir bei einem “normalen” Updaten sonst nicht gelungen wäre. Allerdings mit dem für mich kleinen Nachteil, das aufgezeichnete Daten z.B. von den verschiedenen Wetterstationen, bei diesem vorgehen in der neuen Versionen erst mal nicht mehr zur Verfügung stehen.
Kaum hatte ich die wichtigsten Komponenten, wie z.B. die Heizungssteuerung, in die neue Version integriert, empfand ich es als sehr unpraktisch das mein Laptop nun “gebunden” neben meinem Server stehen musste. Dies natürlich darum weil doch einige USB-Kabel für die ganze Haussteuerung am PC angesteckt werden müssen.
Irgendwie unbefriedigend ? So hätte ich mir ja vor Jahren keinen Laptop kaufen müssen :-(

Was liegen den noch für PC’s rum ?
Da kam mir der Mini-PC in den Sinn auf welchem mein CB-FRN-Gateway läuft :lol:
Also den mal vom Blumenfenster neben den Server umgezogen, danach das ganze IP-Symcon Verzeichnis vom Laptop rüber auf diesen PC kopiert. Doch aus igendwelchen Gründen wollte das da nicht laufen. Nach ein wenig suche stellte ich fest das auf dem Mini-PC auch Windows 7 installiert ist, allerdings die 32bit Version. Dieses Problem kriegte ich mit der richtigen Programmversion in den Griff. Allerdings macht mich da IP-Symcon wenn ich es installiere darauf aufmerksam das die 32bit Version nicht mehr lange unterstützt wird.
Das war mir aber erst mal egal, den so konnte ich meinen Arbeits-Laptop wieder im Haus “rumschleifen” und die Endversion mit dem Haussteuerungs-PC ist das sicher auch noch nicht.
So arbeitete ich seit dem neuen Jahr mal weiter um die Haussteuerung weiter anzupassen. Fast eine Woche schaffte ich es  nicht im sogenannten Dashboard (früher Designer) die Visualisierung hinzukriegen. Wenn ich im Dashboard ein Objekt erstellte, und danach das Dashboard beendete, und wieder startete war das Ding wieder weg ?
Bis ich herausfand das man in der neuen Version die Sache explizit “speichern” musste, und dies nicht wie bei der alten Version beim beenden, mittels einer Frage, automatisch erledigt wurde :lol:
So konnte die Visualisierung nun auch auf meinem Bildschirm im Flur wieder dargestellt werden :-)

Aber irgendwie passte mir das ganze noch immer nicht !
Bekam ich im 2017 von einem Kollegen diesen Server Dell PowerEdge T620 mit dem Windows Server 2008 Standart geschenkt, und nun soll ich daneben so ein Mini-PC für die Haussteuerung stehen haben ?

Da ich im Forum von IP-Symcon darauf hingewiesen wurde das ab Version 5.0 mindestens Windows Server 2012 verlangt wird, machte ich mich auf die suche wie teuer mich ein neueres Windows Server Betriebssystem kosten würde.
Das einzige was ich mir selbst gerade noch so leisten konnte war eine Lizenz für Windows Server 2008 R2 Standart.
So wurde am letzten Wochenende von Samstag auf Sonntag eine Freinacht eingeschoben um die Daten zu sichern, und das “neue” Betriebssystem zu installieren.
Wegen der Freinacht konnte Sonntags auch schon wieder ab dem “neuen Server” ferngeschaut werden. WAF-Faktor erfüllt :lol:
Sonntags Nachmittag wurde das IP-Symcon nun wieder auf 64bit angepasst, auf dem “neuen Server” gestartet, und die Kabel wieder umgesteckt.

Ich weiss dieser Artikel ist relativ “trocken”, ich meine ohne Bilder, aber wollte einfach mal die “Zangengeburt” aufzeigen…
Und da stellt sich die Frage ob es sich gelohnt hat eine neue “Subskription” zu lösen ?
Diese Frage kann ich momentan noch nicht beantworten !
Den eigentlich lief ja alles, und wie heisst es so schön : “Never touch a running System”
Aber das UniFi-Modul ist eben auch genial, um Heizenergie zu sparen. Ist aber momentan noch das einzig neue, aber da können sich aber noch mehr Möglichkeiten auftun.

Auf alle Fälle möchte ich mich zum Schluss bei allen entschuldigen die mir seit Weihnachten versucht haben anzurufen, und ich wenn der Anruf überhaupt angenommen wurde, gestresst war und “eigenartige” Antworten gab.


Hinterlasse eine Antwort

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind markiert *

Du kannst folgende HTML-Tags benutzen: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>